Package org.apache.qpid.proton.amqp.messaging

# Class Header

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Header

All Implemented Interfaces:
  `Section`

public final class Header extends Object implements Section

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.messaging.Section

`Section.SectionType`

## Constructor Summary

Constructors
Constructor
Description
`Header()`
`Header(Header other)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedInteger`
`getDeliveryCount()`
`Boolean`
`getDurable()`
`Boolean`
`getFirstAcquirer()`
`UnsignedByte`
`getPriority()`
`UnsignedInteger`
`getTtl()`
`Section.SectionType`
`getType()`
`void`
`setDeliveryCount(UnsignedInteger deliveryCount)`
`void`
`setDurable(Boolean durable)`
`void`
`setFirstAcquirer(Boolean firstAcquirer)`
`void`
`setPriority(UnsignedByte priority)`
`void`
`setTtl(UnsignedInteger ttl)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Header

public Header()

### Header

public Header(Header other)

## Method Details

### getDurable

public Boolean getDurable()

### setDurable

public void setDurable(Boolean durable)

### getPriority

public UnsignedByte getPriority()

### setPriority

public void setPriority(UnsignedByte priority)

### getTtl

public UnsignedInteger getTtl()

### setTtl

public void setTtl(UnsignedInteger ttl)

### getFirstAcquirer

public Boolean getFirstAcquirer()

### setFirstAcquirer

public void setFirstAcquirer(Boolean firstAcquirer)

### getDeliveryCount

public UnsignedInteger getDeliveryCount()

### setDeliveryCount

public void setDeliveryCount(UnsignedInteger deliveryCount)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public Section.SectionType getType()

Specified by:
  `getType` in interface `Section`
Returns:
  the `Section.SectionType` that describes this instance.